Foreman - Feature #93

Display host group in listing when unattended is disabled
11/26/2009 03:13 PM - Martin Englund

Status: Rejected

Priority: Normal

Assignee: Martin Englund
Category: Unattended installations

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

When you disable unattended mode, displaying the "Operating System" column isn't useful, instead a "Hostgroup" should be used.

Should be done after refector #92

History

#1 - 11/27/2009 09:23 AM - Martin Englund

Code ready:
http://github.com/pmenglund/foreman/commit/a724fe2bbce56a828ec66f1 eacfef2ct65742082

#2 - 11/27/2009 12:08 PM - Ohad Levy

can you merge/rebase your master to my master?
| would prefer it to merge cleanly :)

Thanks
#3 - 11/27/2009 01:00 PM - Martin Englund
| know! | botched the commit, but could not edit the post (that's why | asked for developer access)
I'm trying to figure out the best way to undo the change and commit it without the extra line.
#4 - 11/27/2009 01:08 PM - Ohad Levy
Martin Englund wrote:
| know! | botched the commit, but could not edit the post (that's why | asked for developer access)

I'm trying to figure out the best way to undo the change and commit it without the extra line.

I'll create a new branch, from my master and rebase your master (1 think)

#5 - 11/27/2009 01:57 PM - Martin Englund

Try this commit instead:
http://github.com/pmenglund/foreman/commit/e0cb87dbe99d63bb8c45ad1a7497d879cbd3fd89

#6 - 12/01/2009 06:14 AM - Ohad Levy
| would display the hostgroup by default (e.g. with our without "build / unattended" support)

#7 - 12/01/2009 10:42 AM - Martin Englund

So with unattended support it would be:

Name, Operating System, Hostgroup, Environment & Last report
while with unattended support disabled it would be:

Name, Hostgroup, Puppet classes, Environment & Last report
https://projects.theforeman.org/issues/92
http://github.com/pmenglund/foreman/commit/a724fe2bbce56a828ec66f1eacfef2cf65742082
http://github.com/pmenglund/foreman/commit/e0cb87dbe99d63bb8c45ad1a7497d879cbd3fd89

#8 - 12/04/2009 02:14 PM - Ohad Levy

Martin Englund wrote:

So with unattended support it would be:

Name, Operating System, Hostgroup, Environment & Last report
while with unattended support disabled it would be:

Name, Hostgroup, Puppet classes, Environment & Last report

sounds about right :)

#9 - 12/04/2009 02:14 PM - Ohad Levy

- Target version set to 0.1-3

#10 - 12/04/2009 04:17 PM - Martin Englund

Patch on the way, I'm just trying to get aligned with your code. Which branch should | aim for? master or next?

#11 - 12/05/2009 11:09 AM - Ohad Levy

Martin Englund wrote:

Patch on the way, I'm just trying to get aligned with your code. Which branch should | aim for? master or next?

master, I'll create a dev / patches howto in the wiki :)

#12 - 12/14/2009 06:09 AM - Ohad Levy

- Target version changed from 0.1-3 to 0.1-4

#13 - 03/08/2010 06:02 AM - Ohad Levy

- Status changed from New to Rejected

the whole host pages will be redone upon next release (current NO_AS branch), therefor I'm rejecting this ticket

#14 - 03/08/2010 07:06 AM - Ohad Levy
- Target version deleted (0.1-4)
